Index: code/trunk/src/modules/objects/triggers/CheckPoint.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/CheckPoint.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/CheckPoint.cc	(revision 7163)
@@ -38,5 +38,7 @@
     CreateFactory(CheckPoint);
 
-    CheckPoint::CheckPoint(BaseObject* creator) : DistanceTrigger(creator)
+    CheckPoint::CheckPoint(BaseObject* creator)
+        : DistanceTrigger(creator)
+        , RadarViewable(creator, static_cast<WorldEntity*>(this))
     {
         RegisterObject(CheckPoint);
Index: code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 7163)
@@ -40,15 +40,15 @@
 namespace orxonox
 {
-    
+
     CreateFactory(DistanceMultiTrigger);
 
     /**
     @brief
-        Default Constructor. Registers the object and initializes default values. 
+        Default Constructor. Registers the object and initializes default values.
     */
     DistanceMultiTrigger::DistanceMultiTrigger(BaseObject* creator) : MultiTrigger(creator)
     {
         RegisterObject(DistanceMultiTrigger);
-        
+
         this->distance_ = 100.0f;
         this->targetName_ = BLANKSTRING;
@@ -98,5 +98,5 @@
                 continue;
             }
-            
+
             Vector3 distanceVec = entity->getWorldPosition() - this->getWorldPosition();
             // If the object is no longer in range.
@@ -154,5 +154,5 @@
                 if(this->singleTargetMode_)
                     entity = entity->getParent();
-                
+
                 // If no queue has been created, yet.
                 if(queue == NULL)
@@ -166,7 +166,7 @@
             }
         }
-        
+
         return queue;
     }
-    
+
 }
Index: code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.h
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 7163)
@@ -56,9 +56,9 @@
     class _ObjectsExport DistanceMultiTrigger : public MultiTrigger
     {
-        
+
         public:
             DistanceMultiTrigger(BaseObject* creator); //!< Default Constructor. Registers the object and initializes default values.
             ~DistanceMultiTrigger(); //!< Destructor.
-            
+
             void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a DistanceMultiTrigger object through XML.
 
@@ -75,5 +75,5 @@
             inline const std::string& getTargetName(void)
                 { return this->targetName_; }
-            
+
             /**
             @brief Set the distance at which the DistanceMultiTrigger triggers.
@@ -88,5 +88,5 @@
             inline float getDistance() const
                 { return this->distance_; }
-                
+
         protected:
             virtual std::queue<MultiTriggerState*>* letTrigger(void); //!< This method is called by the MultiTrigger to get information about new trigger events that need to be looked at.
@@ -106,14 +106,14 @@
             inline bool removeFromRange(WorldEntity* entity)
                 { WeakPtr<WorldEntity>* weakptr = this->range_.find(entity)->second; bool erased = this->range_.erase(entity) > 0; if(erased) delete weakptr; return erased; }
-                
+
         private:
             float distance_; //!< The distance at which the DistanceMultiTrigger triggers.
             std::string targetName_; //!< The target name, used in singleTargetMode.
             bool singleTargetMode_; //!< To indicate whe the MultiDistanceTrigger is in single-target-mode.
-            
+
             std::map<WorldEntity*, WeakPtr<WorldEntity>* > range_; //!< The set of entities that currently are in range of the DistanceMultiTrigger.
-        
+
     };
-    
+
 }
 
Index: code/trunk/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 7163)
@@ -136,5 +136,5 @@
           continue;
       }
-      
+
       Vector3 distanceVec = entity->getWorldPosition() - this->getWorldPosition();
       if (distanceVec.length() < this->distance_)
@@ -155,4 +155,5 @@
       }
     }
+
     return false;
   }
Index: code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 7163)
@@ -35,9 +35,9 @@
 
     CreateFactory(DistanceTriggerBeacon);
-    
+
     DistanceTriggerBeacon::DistanceTriggerBeacon(BaseObject* creator) : StaticEntity(creator)
     {
         RegisterObject(DistanceTriggerBeacon);
     }
-    
+
 }
Index: code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.h
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.h	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.h	(revision 7163)
@@ -39,5 +39,5 @@
     class _ObjectsExport DistanceTriggerBeacon : public StaticEntity
     {
-        
+
         public:
 
Index: code/trunk/src/modules/objects/triggers/EventMultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 7163)
@@ -52,5 +52,5 @@
     EventMultiTrigger::~EventMultiTrigger()
     {
-        
+
     }
 
@@ -61,5 +61,5 @@
         this->setBroadcast(true);
     }
-    
+
     void EventMultiTrigger::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: code/trunk/src/modules/objects/triggers/EventMultiTrigger.h
===================================================================
--- code/trunk/src/modules/objects/triggers/EventMultiTrigger.h	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/EventMultiTrigger.h	(revision 7163)
@@ -44,5 +44,5 @@
     class _ObjectsExport EventMultiTrigger : public MultiTrigger
     {
-        
+
         public:
             EventMultiTrigger(BaseObject* creator);
Index: code/trunk/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 7163)
@@ -47,5 +47,5 @@
     /*static*/ const std::string MultiTrigger::or_s = "or";
     /*static*/ const std::string MultiTrigger::xor_s = "xor";
-    
+
     CreateFactory(MultiTrigger);
 
@@ -65,5 +65,5 @@
         this->bSwitch_ = false;
         this->bStayActive_ = false;
-        
+
         this->remainingActivations_ = INF_s;
         this->maxNumSimultaniousTriggerers_ = INF_s;
@@ -75,10 +75,10 @@
 
         this->parentTrigger_ = NULL;
-        
+
         this->targetMask_.exclude(Class(BaseObject));
 
         this->setSyncMode(0x0);
     }
-    
+
     /**
     @brief
@@ -95,5 +95,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -117,8 +117,8 @@
         //TODO: Maybe nicer with explicit subgroup, e.g. triggers
         XMLPortObject(MultiTrigger, MultiTrigger, "", addTrigger, getTrigger, xmlelement, mode);
-        
+
         COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") created." << std::endl;
     }
-    
+
 
     /**
@@ -131,5 +131,5 @@
     {
         // If this is the first tick.
-        //TODO: Determine need for this, else kick it out. 
+        //TODO: Determine need for this, else kick it out.
         if(this->bFirstTick_)
         {
@@ -174,5 +174,5 @@
                     delete state;
                 }
-                
+
                 queue->pop();
             }
@@ -185,5 +185,5 @@
             MultiTriggerState* state;
             float timeRemaining;
-            
+
             // Go through all pending states.
             for(int size = this->stateQueue_.size(); size >= 1; size--)
@@ -212,5 +212,5 @@
                                 this->triggered_.erase(state->originator);
                             }
-                            
+
                             bStateChanged = true;
                         }
@@ -229,5 +229,5 @@
 
                             bool bFire = true;
-                            
+
                             // Add the originator to the objects activating this MultiTrigger.
                             if(bActive == true)
@@ -266,5 +266,5 @@
                                 else
                                     this->fire(bActive, state->originator);
-                                
+
                                 bStateChanged = true;
                             }
@@ -289,5 +289,5 @@
                         }
                     }
-                    
+
                     // Remove the state from the state queue.
                     this->stateQueue_.pop_front();
@@ -509,8 +509,8 @@
             return returnVal;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
@@ -547,5 +547,5 @@
             return;
         }
-        
+
         MultiTriggerContainer* container = new MultiTriggerContainer(this, this, originator);
         this->fireEvent(status, container);
@@ -563,5 +563,5 @@
     {
         ClassTreeMask& targetMask = this->getTargetMask();
-        
+
         for(ClassTreeMaskObjectIterator it = targetMask.begin(); it != targetMask.end(); ++it)
         {
@@ -580,9 +580,9 @@
     {
         assert(state);
-        
+
         // If the originator is no target of this MultiTrigger.
         if(!this->isTarget(state->originator))
             return false;
-        
+
         // Add it ot the state queue.
         this->stateQueue_.push_back(std::pair<float, MultiTriggerState*>(this->delay_, state));
Index: code/trunk/src/modules/objects/triggers/MultiTrigger.h
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTrigger.h	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/MultiTrigger.h	(revision 7163)
@@ -94,8 +94,8 @@
             MultiTrigger(BaseObject* creator); //!< Constructor. Registers the objects and initializes default values.
             ~MultiTrigger(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a MultiTrigger object through XML.
             virtual void tick(float dt); //!< A method that is executed each tick.
-            
+
             bool isActive(BaseObject* triggerer = NULL); //!< Get whether the MultiTrigger is active for a given object.
 
@@ -215,13 +215,13 @@
             void addTargets(const std::string& targets); //!< Add some target to the MultiTrigger.
             void removeTargets(const std::string& targets); //!< Remove some target from the MultiTrigger.
-            
+
             void addTrigger(MultiTrigger* trigger); //!< Adds a MultiTrigger as a sub-trigger to the trigger.
             const MultiTrigger* getTrigger(unsigned int index) const; //!< Get the sub-trigger of this MultiTrigger at the given index.
-            
+
         protected:
             virtual std::queue<MultiTriggerState*>* letTrigger(void); //!< This method is called by the MultiTrigger to get information about new trigger events that need to be looked at.
 
             void changeTriggered(BaseObject* originator = NULL); //!< This method can be called by any class inheriting from MultiTrigger to change it's triggered status for a specified originator.
-            
+
             bool isModeTriggered(BaseObject* triggerer = NULL); //!< Checks whetherx the MultiTrigger is triggered concerning it's sub-triggers.
             bool isTriggered(BaseObject* triggerer = NULL); //!< Get whether the MultiTrigger is triggered for a given object.
@@ -236,5 +236,5 @@
             inline void addParentTrigger(MultiTrigger* parent)
                 { this->parentTrigger_ = parent; }
-            
+
             /**
             @brief Get the target mask used to identify the targets of this MultiTrigger.
@@ -248,5 +248,5 @@
             //TODO: Check if something mus be done here.
             virtual void notifyMaskUpdate(void) {}
-            
+
         private:
             static const int INF_s; //!< Magic number for infinity.
@@ -257,7 +257,7 @@
 
             void subTrigggerActivityChanged(BaseObject* originator); //!< This method is called by any sub-trigger to advertise changes in it's state to it's parent-trigger.
-            
+
             bool addState(MultiTriggerState* state); //!< Helper method. Adds a state to the state queue, where the state will wait to become active.
-            
+
             bool checkAnd(BaseObject* triggerer); //!< Checks whether the sub-triggers amount to true for the 'and' mode for a given object.
             bool checkOr(BaseObject* triggerer); //!< Checks whether the sub-triggers amount to true for the 'or' mode for a given object.
@@ -276,5 +276,5 @@
             bool bSwitch_; //!< Bool for the switch-mode, if true the MultiTrigger behaves like a switch.
             bool bStayActive_; //!< Bool for the stay-active-mode, if true the MultiTrigger stays active after its last activation.;
-            
+
             int remainingActivations_; //!< The remaining activations of this MultiTrigger.
             int maxNumSimultaniousTriggerers_; //!< The maximum number of objects simultaniously trigggering this MultiTrigger.
@@ -287,12 +287,12 @@
             MultiTrigger* parentTrigger_;
             std::set<MultiTrigger*> subTriggers_; //!< The sub-triggers of this MultiTrigger.
-            
+
             std::set<BaseObject*> active_; //!< The set of all objects the MultiTrigger is active for.
             std::set<BaseObject*> triggered_; //!< The set of all objects the MultiTrigger is triggered for.
 
             std::deque< std::pair<float, MultiTriggerState*> > stateQueue_; //!< The queue of states waiting to become active.
-            
+
             ClassTreeMask targetMask_; //!< The target mask, masking all objects that can trigger this MultiTrigger.
-            
+
     };
 
Index: code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 7163)
@@ -40,5 +40,5 @@
 
     CreateUnloadableFactory(MultiTriggerContainer);
-    
+
     /**
     @brief
@@ -73,5 +73,5 @@
     MultiTriggerContainer::~MultiTriggerContainer()
     {
-        
+
     }
 
Index: code/trunk/src/modules/objects/triggers/MultiTriggerContainer.h
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTriggerContainer.h	(revision 6906)
+++ code/trunk/src/modules/objects/triggers/MultiTriggerContainer.h	(revision 7163)
@@ -50,5 +50,5 @@
     class _ObjectsExport MultiTriggerContainer : public BaseObject
     {
-        
+
         public:
             MultiTriggerContainer(BaseObject* creator); //!< Default constructor. Registers the object and creates an empty container.
@@ -68,10 +68,10 @@
             inline BaseObject* getData(void)
                 { return this->data_; }
-            
+
         private:
             MultiTrigger* originator_; //!< The originator.
             BaseObject* data_; //!< The data.
     };
-    
+
 }
 
